diff --git c/scala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl.class w/scala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl.class
index 2b2ec429f3..ad529391fb 100644
--- c/scala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl.class
+++ w/scala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/Tasks$Task
 public abstract #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl extends scala.collection.parallel.Tasks$TaskImpl,scala.ScalaObject{
+public interface scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl extends scala.collection.parallel.Tasks$TaskImpl{
 public abstract scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl next();
   Signature: ()Lscala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl;
 
diff --git c/scala/collection/parallel/AdaptiveWorkStealingTasks.class w/scala/collection/parallel/AdaptiveWorkStealingTasks.class
index f7d2a85ba0..7796d08796 100644
--- c/scala/collection/parallel/AdaptiveWorkStealingTasks.class
+++ w/scala/collection/parallel/AdaptiveWorkStealingTasks.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWo
 public abstract #= # of #; //TaskImpl$class=class scala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl$class of class scala/collection/parallel/AdaptiveWorkStealingTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.AdaptiveWorkStealingTasks extends scala.collection.parallel.Tasks,scala.ScalaObject{
+public interface scala.collection.parallel.AdaptiveWorkStealingTasks extends scala.collection.parallel.Tasks{
 public abstract scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl newTaskImpl(scala.collection.parallel.Tasks$Task);
   Signature: (Lscala/collection/parallel/Tasks$Task;)Lscala/collection/parallel/AdaptiveWorkStealingTasks$TaskImpl;
 
diff --git c/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl.class w/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl.class
index 03f1d5f9a3..294b9e8ece 100644
--- c/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl.class
+++ w/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //TaskImpl$class=class scala/collection/parallel/Adap
 public #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks
 
 Compiled from "Tasks.scala"
-public class scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks$TaskImpl extends java.lang.Object implements scala.collection.parallel.ThreadPoolTasks$TaskImpl,scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl,scala.ScalaObject{
+public class scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks$TaskImpl extends java.lang.Object implements scala.collection.parallel.ThreadPoolTasks$TaskImpl,scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl{
 private final scala.collection.parallel.Tasks$Task body;
   Signature: Lscala/collection/parallel/Tasks$Task;
 
diff --git c/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks.class w/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks.class
index b1dd0f1105..d4cf1d8659 100644
--- c/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks.class
+++ w/scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Task=class scala/collection/parallel/Tasks$Task of
 public #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks extends scala.collection.parallel.ThreadPoolTasks,scala.collection.parallel.AdaptiveWorkStealingTasks,scala.ScalaObject{
+public interface scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks extends scala.collection.parallel.ThreadPoolTasks,scala.collection.parallel.AdaptiveWorkStealingTasks{
 public abstract scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks$TaskImpl newTaskImpl(scala.collection.parallel.Tasks$Task);
   Signature: (Lscala/collection/parallel/Tasks$Task;)Lscala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl;
 
diff --git c/scala/collection/parallel/AugmentedIterableIterator.class w/scala/collection/parallel/AugmentedIterableIterator.class
index 60c6ac8816..826cf86e0c 100644
--- c/scala/collection/parallel/AugmentedIterableIterator.class
+++ w/scala/collection/parallel/AugmentedIterableIterator.class
@@ -1,6 +1,6 @@
 
 Compiled from "RemainsIterator.scala"
-public interface scala.collection.parallel.AugmentedIterableIterator extends scala.collection.parallel.RemainsIterator,scala.ScalaObject{
+public interface scala.collection.parallel.AugmentedIterableIterator extends scala.collection.parallel.RemainsIterator{
 public abstract int count(scala.Function1);
   Signature: (Lscala/Function1;)I
 
diff --git c/scala/collection/parallel/AugmentedSeqIterator.class w/scala/collection/parallel/AugmentedSeqIterator.class
index dcfa0f01eb..e16261bb37 100644
--- c/scala/collection/parallel/AugmentedSeqIterator.class
+++ w/scala/collection/parallel/AugmentedSeqIterator.class
@@ -1,6 +1,6 @@
 
 Compiled from "RemainsIterator.scala"
-public interface scala.collection.parallel.AugmentedSeqIterator extends scala.collection.parallel.AugmentedIterableIterator,scala.ScalaObject{
+public interface scala.collection.parallel.AugmentedSeqIterator extends scala.collection.parallel.AugmentedIterableIterator{
 public abstract int remaining();
   Signature: ()I
 
diff --git c/scala/collection/parallel/BucketCombiner.class w/scala/collection/parallel/BucketCombiner.class
index 7f20e39d4c..9341c8fac4 100644
--- c/scala/collection/parallel/BucketCombiner.class
+++ w/scala/collection/parallel/BucketCombiner.class
@@ -1,6 +1,6 @@
 
 Compiled from "package.scala"
-public abstract class scala.collection.parallel.BucketCombiner extends java.lang.Object implements scala.collection.parallel.Combiner,scala.ScalaObject{
+public abstract class scala.collection.parallel.BucketCombiner extends java.lang.Object implements scala.collection.parallel.Combiner{
 private final int bucketnumber;
   Signature: I
 
diff --git c/scala/collection/parallel/BufferSplitter.class w/scala/collection/parallel/BufferSplitter.class
index a8185a471a..2458e443b5 100644
--- c/scala/collection/parallel/BufferSplitter.class
+++ w/scala/collection/parallel/BufferSplitter.class
@@ -8,7 +8,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "package.scala"
-public class scala.collection.parallel.BufferSplitter extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public class scala.collection.parallel.BufferSplitter extends java.lang.Object implements scala.collection.parallel.IterableSplitter{
 private final scala.collection.mutable.ArrayBuffer scala$collection$parallel$BufferSplitter$$buffer;
   Signature: Lscala/collection/mutable/ArrayBuffer;
 
diff --git c/scala/collection/parallel/Combiner.class w/scala/collection/parallel/Combiner.class
index 3a3344acde..511e80df96 100644
--- c/scala/collection/parallel/Combiner.class
+++ w/scala/collection/parallel/Combiner.class
@@ -1,6 +1,6 @@
 
 Compiled from "Combiner.scala"
-public interface scala.collection.parallel.Combiner extends scala.collection.mutable.Builder,scala.collection.generic.Sizing,scala.collection.Parallel,scala.ScalaObject{
+public interface scala.collection.parallel.Combiner extends scala.collection.mutable.Builder,scala.collection.generic.Sizing,scala.collection.Parallel{
 public abstract void scala$collection$parallel$Combiner$_setter_$tasksupport_$eq(scala.collection.parallel.TaskSupport);
   Signature: (Lscala/collection/parallel/TaskSupport;)V
 
diff --git c/scala/collection/parallel/CompositeThrowable.class w/scala/collection/parallel/CompositeThrowable.class
index c832f52cf3..3fc0764ded 100644
--- c/scala/collection/parallel/CompositeThrowable.class
+++ w/scala/collection/parallel/CompositeThrowable.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "package.scala"
-public final class scala.collection.parallel.CompositeThrowable extends java.lang.Throwable implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.parallel.CompositeThrowable extends java.lang.Throwable implements scala.Product,scala.Serializable{
 private final scala.collection.Set throwables;
   Signature: Lscala/collection/Set;
 
diff --git c/scala/collection/parallel/ForkJoinTaskSupport.class w/scala/collection/parallel/ForkJoinTaskSupport.class
index 2dc1a75803..9b15896aab 100644
--- c/scala/collection/parallel/ForkJoinTaskSupport.class
+++ w/scala/collection/parallel/ForkJoinTaskSupport.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWo
 public #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks
 
 Compiled from "TaskSupport.scala"
-public class scala.collection.parallel.ForkJoinTaskSupport extends java.lang.Object implements scala.collection.parallel.TaskSupport,scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks,scala.ScalaObject{
+public class scala.collection.parallel.ForkJoinTaskSupport extends java.lang.Object implements scala.collection.parallel.TaskSupport,scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks{
 private java.lang.Object environment;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/ForkJoinTasks$TaskImpl.class w/scala/collection/parallel/ForkJoinTasks$TaskImpl.class
index f13ba68435..73c22e6272 100644
--- c/scala/collection/parallel/ForkJoinTasks$TaskImpl.class
+++ w/scala/collection/parallel/ForkJoinTasks$TaskImpl.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/Tasks$Task
 public abstract #= # of #; //TaskImpl=class scala/collection/parallel/ForkJoinTasks$TaskImpl of class scala/collection/parallel/ForkJoinTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.ForkJoinTasks$TaskImpl extends scala.collection.parallel.Tasks$TaskImpl,scala.ScalaObject{
+public interface scala.collection.parallel.ForkJoinTasks$TaskImpl extends scala.collection.parallel.Tasks$TaskImpl{
 public abstract void start();
   Signature: ()V
 
diff --git c/scala/collection/parallel/ForkJoinTasks.class w/scala/collection/parallel/ForkJoinTasks.class
index e9761d30ba..6db36322d1 100644
--- c/scala/collection/parallel/ForkJoinTasks.class
+++ w/scala/collection/parallel/ForkJoinTasks.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/ForkJoinTa
 public abstract #= # of #; //TaskImpl$class=class scala/collection/parallel/ForkJoinTasks$TaskImpl$class of class scala/collection/parallel/ForkJoinTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.ForkJoinTasks extends scala.collection.parallel.Tasks,scala.collection.parallel.HavingForkJoinPool,scala.ScalaObject{
+public interface scala.collection.parallel.ForkJoinTasks extends scala.collection.parallel.Tasks,scala.collection.parallel.HavingForkJoinPool{
 public abstract scala.collection.parallel.ForkJoinTasks$TaskImpl newTaskImpl(scala.collection.parallel.Tasks$Task);
   Signature: (Lscala/collection/parallel/Tasks$Task;)Lscala/collection/parallel/ForkJoinTasks$TaskImpl;
 
diff --git c/scala/collection/parallel/FutureThreadPoolTasks$TaskImpl.class w/scala/collection/parallel/FutureThreadPoolTasks$TaskImpl.class
index 4c8c740059..3b6d4015e1 100644
--- c/scala/collection/parallel/FutureThreadPoolTasks$TaskImpl.class
+++ w/scala/collection/parallel/FutureThreadPoolTasks$TaskImpl.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/Tasks$Task
 public abstract #= # of #; //TaskImpl=class scala/collection/parallel/FutureThreadPoolTasks$TaskImpl of class scala/collection/parallel/FutureThreadPoolTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.FutureThreadPoolTasks$TaskImpl extends java.lang.Runnable,scala.collection.parallel.Tasks$TaskImpl,scala.ScalaObject{
+public interface scala.collection.parallel.FutureThreadPoolTasks$TaskImpl extends java.lang.Runnable,scala.collection.parallel.Tasks$TaskImpl{
 public abstract java.util.concurrent.Future future();
   Signature: ()Ljava/util/concurrent/Future;
 
diff --git c/scala/collection/parallel/FutureThreadPoolTasks.class w/scala/collection/parallel/FutureThreadPoolTasks.class
index c04743bb07..984f508b00 100644
--- c/scala/collection/parallel/FutureThreadPoolTasks.class
+++ w/scala/collection/parallel/FutureThreadPoolTasks.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/FutureThre
 public abstract #= # of #; //TaskImpl$class=class scala/collection/parallel/FutureThreadPoolTasks$TaskImpl$class of class scala/collection/parallel/FutureThreadPoolTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.FutureThreadPoolTasks extends scala.collection.parallel.Tasks,scala.ScalaObject{
+public interface scala.collection.parallel.FutureThreadPoolTasks extends scala.collection.parallel.Tasks{
 public abstract scala.collection.parallel.FutureThreadPoolTasks$TaskImpl newTaskImpl(scala.collection.parallel.Tasks$Task);
   Signature: (Lscala/collection/parallel/Tasks$Task;)Lscala/collection/parallel/FutureThreadPoolTasks$TaskImpl;
 
diff --git c/scala/collection/parallel/IterableSplitter$Appended.class w/scala/collection/parallel/IterableSplitter$Appended.class
index 515324197d..fbb81c2b25 100644
--- c/scala/collection/parallel/IterableSplitter$Appended.class
+++ w/scala/collection/parallel/IterableSplitter$Appended.class
@@ -8,7 +8,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.IterableSplitter$Appended extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public class scala.collection.parallel.IterableSplitter$Appended extends java.lang.Object implements scala.collection.parallel.IterableSplitter{
 private final scala.collection.parallel.IterableSplitter that;
   Signature: Lscala/collection/parallel/IterableSplitter;
 
diff --git c/scala/collection/parallel/IterableSplitter$Mapped.class w/scala/collection/parallel/IterableSplitter$Mapped.class
index 142f1cfa30..a5d35d56bc 100644
--- c/scala/collection/parallel/IterableSplitter$Mapped.class
+++ w/scala/collection/parallel/IterableSplitter$Mapped.class
@@ -8,7 +8,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.IterableSplitter$Mapped extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public class scala.collection.parallel.IterableSplitter$Mapped extends java.lang.Object implements scala.collection.parallel.IterableSplitter{
 public final scala.Function1 scala$collection$parallel$IterableSplitter$Mapped$$f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/IterableSplitter$Taken.class w/scala/collection/parallel/IterableSplitter$Taken.class
index b9e1a15817..063bd18a6c 100644
--- c/scala/collection/parallel/IterableSplitter$Taken.class
+++ w/scala/collection/parallel/IterableSplitter$Taken.class
@@ -8,7 +8,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.IterableSplitter$Taken extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public class scala.collection.parallel.IterableSplitter$Taken extends java.lang.Object implements scala.collection.parallel.IterableSplitter{
 private final int taken;
   Signature: I
 
diff --git c/scala/collection/parallel/IterableSplitter$Zipped.class w/scala/collection/parallel/IterableSplitter$Zipped.class
index 9641cb8632..0ef54207af 100644
--- c/scala/collection/parallel/IterableSplitter$Zipped.class
+++ w/scala/collection/parallel/IterableSplitter$Zipped.class
@@ -8,7 +8,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.IterableSplitter$Zipped extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public class scala.collection.parallel.IterableSplitter$Zipped extends java.lang.Object implements scala.collection.parallel.IterableSplitter{
 private final scala.collection.parallel.SeqSplitter that;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/IterableSplitter$ZippedAll.class w/scala/collection/parallel/IterableSplitter$ZippedAll.class
index 3ab3991bc4..24be3a29b0 100644
--- c/scala/collection/parallel/IterableSplitter$ZippedAll.class
+++ w/scala/collection/parallel/IterableSplitter$ZippedAll.class
@@ -10,7 +10,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.IterableSplitter$ZippedAll extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public class scala.collection.parallel.IterableSplitter$ZippedAll extends java.lang.Object implements scala.collection.parallel.IterableSplitter{
 private final scala.collection.parallel.SeqSplitter that;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/IterableSplitter.class w/scala/collection/parallel/IterableSplitter.class
index 5db8882616..c3a5fdf0d4 100644
--- c/scala/collection/parallel/IterableSplitter.class
+++ w/scala/collection/parallel/IterableSplitter.class
@@ -6,7 +6,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public interface scala.collection.parallel.IterableSplitter extends scala.collection.parallel.AugmentedIterableIterator,scala.collection.parallel.Splitter,scala.collection.generic.Signalling,scala.collection.generic.DelegatedSignalling,scala.ScalaObject{
+public interface scala.collection.parallel.IterableSplitter extends scala.collection.parallel.AugmentedIterableIterator,scala.collection.parallel.Splitter,scala.collection.generic.DelegatedSignalling{
 public abstract scala.collection.parallel.IterableSplitter dup();
   Signature: ()Lscala/collection/parallel/IterableSplitter;
 
diff --git c/scala/collection/parallel/ParIterable.class w/scala/collection/parallel/ParIterable.class
index 6b4f5066c7..337a3ca187 100644
--- c/scala/collection/parallel/ParIterable.class
+++ w/scala/collection/parallel/ParIterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParIterable.scala"
-public interface scala.collection.parallel.ParIterable extends scala.collection.GenIterable,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterable extends scala.collection.GenIterable,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParIterableLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/ParIterableLike$Accessor.class w/scala/collection/parallel/ParIterableLike$Accessor.class
index edd6b2ea19..d56e0dbea2 100644
--- c/scala/collection/parallel/ParIterableLike$Accessor.class
+++ w/scala/collection/parallel/ParIterableLike$Accessor.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Accessor=class scala/collection/parallel/ParIterabl
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public interface scala.collection.parallel.ParIterableLike$Accessor extends scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableLike$Accessor extends scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask{
 public abstract java.lang.String scala$collection$parallel$ParIterableLike$Accessor$$super$toString();
   Signature: ()Ljava/lang/String;
 
diff --git c/scala/collection/parallel/ParIterableLike$Aggregate.class w/scala/collection/parallel/ParIterableLike$Aggregate.class
index 00ea929964..07312d79a1 100644
--- c/scala/collection/parallel/ParIterableLike$Aggregate.class
+++ w/scala/collection/parallel/ParIterableLike$Aggregate.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Aggregate extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Aggregate extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final java.lang.Object z;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/ParIterableLike$Collect.class w/scala/collection/parallel/ParIterableLike$Collect.class
index a5f94de9ff..a95c9bfce0 100644
--- c/scala/collection/parallel/ParIterableLike$Collect.class
+++ w/scala/collection/parallel/ParIterableLike$Collect.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Collect extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Collect extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.PartialFunction pf;
   Signature: Lscala/PartialFunction;
 
diff --git c/scala/collection/parallel/ParIterableLike$Composite.class w/scala/collection/parallel/ParIterableLike$Composite.class
index d642846c49..b2d60c12a7 100644
--- c/scala/collection/parallel/ParIterableLike$Composite.class
+++ w/scala/collection/parallel/ParIterableLike$Composite.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public abstract class scala.collection.parallel.ParIterableLike$Composite extends java.lang.Object implements scala.collection.parallel.ParIterableLike$NonDivisibleTask,scala.ScalaObject{
+public abstract class scala.collection.parallel.ParIterableLike$Composite extends java.lang.Object implements scala.collection.parallel.ParIterableLike$NonDivisibleTask{
 private final scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask ft;
   Signature: Lscala/collection/parallel/ParIterableLike$StrictSplitterCheckTask;
 
diff --git c/scala/collection/parallel/ParIterableLike$Copy.class w/scala/collection/parallel/ParIterableLike$Copy.class
index deda1339a9..0aa8847173 100644
--- c/scala/collection/parallel/ParIterableLike$Copy.class
+++ w/scala/collection/parallel/ParIterableLike$Copy.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Copy extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Copy extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 
 private final scala.collection.parallel.IterableSplitter pit;
   Signature: Lscala/collection/parallel/IterableSplitter;
diff --git c/scala/collection/parallel/ParIterableLike$CopyToArray.class w/scala/collection/parallel/ParIterableLike$CopyToArray.class
index 445e2f738c..895ff2d920 100644
--- c/scala/collection/parallel/ParIterableLike$CopyToArray.class
+++ w/scala/collection/parallel/ParIterableLike$CopyToArray.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$CopyToArray extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$CopyToArray extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 public final int scala$collection$parallel$ParIterableLike$CopyToArray$$from;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$Count.class w/scala/collection/parallel/ParIterableLike$Count.class
index 597abf9896..8fc8e8e84e 100644
--- c/scala/collection/parallel/ParIterableLike$Count.class
+++ w/scala/collection/parallel/ParIterableLike$Count.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Count extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Count extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$CreateScanTree.class w/scala/collection/parallel/ParIterableLike$CreateScanTree.class
index d82c96521f..0b1e1415be 100644
--- c/scala/collection/parallel/ParIterableLike$CreateScanTree.class
+++ w/scala/collection/parallel/ParIterableLike$CreateScanTree.class
@@ -12,7 +12,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$CreateScanTree extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$CreateScanTree extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final int from;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$Drop.class w/scala/collection/parallel/ParIterableLike$Drop.class
index 698c8e6999..bdc932b1ce 100644
--- c/scala/collection/parallel/ParIterableLike$Drop.class
+++ w/scala/collection/parallel/ParIterableLike$Drop.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Drop extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Drop extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final int scala$collection$parallel$ParIterableLike$Drop$$n;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$Exists.class w/scala/collection/parallel/ParIterableLike$Exists.class
index d1782f6094..e2a0fd920e 100644
--- c/scala/collection/parallel/ParIterableLike$Exists.class
+++ w/scala/collection/parallel/ParIterableLike$Exists.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Exists extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Exists extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
